Drupal.registerLpbMoveError((settings, el, target, source, sibling) => {
  if (el.classList.contains('paragraph')) {
    const layout = target.closest('.lpb-layout');
    if (layout) {
      const parentLayout = layout.dataset.layout;
      const disallowedTypes = drupalSettings.layoutParagraphsLimit.disallowedTypes[parentLayout];
      if (disallowedTypes && disallowedTypes.hasOwnProperty(el.dataset.type)) {
        return Drupal.t('This paragraph type is not allowed in this layout.');
      }
    }
  }
});
